petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscFECreateDefault

Create a PetscFE for basic FEM computation

### Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscFECreateDefault(DM dm, PetscInt dim, PetscInt numComp, PetscBool isSimplex, const char prefix[], PetscInt qorder, PetscFE *fem)

Collective on DM Many br

### Input Parameters

| dm | - The underlying DM for the domain Many br
| dim | - The spatial dimension Many br
| numComp | - The number of components Many br
| isSimplex | - Flag for simplex reference cell, otherwise its a tensor product Many br
| prefix | - The options prefix, or NULL Many br
| qorder | - The quadrature order Many br

### Output Parameter

fem -The PetscFE object Many br

Many br

### Keywords

PetscFE, finite element

### See Also

PetscFECreate(), PetscSpaceCreate(), PetscDualSpaceCreate()

Level:beginner
Location:src/dm/dt/interface/dtfe.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex12.c.html
src/snes/examples/tutorials/ex62.c.html
src/snes/examples/tutorials/ex77.c.html